# -*- coding: utf-8 -*-
"""
Created on Sun Nov  5 14:22:45 2017

Popup window example
Based on https://stackoverflow.com/questions/41946222/how-do-i-create-a-popup-window-in-tkinter
@author: delerue
"""

import Tkinter as tk
import ttk
from tkMessageBox import showinfo
import subprocess as sub

def popup_bonus():
    win = tk.Toplevel()
    win.wm_title("Window")

    l = tk.Label(win, text="Input")
    l.grid(row=0, column=0)

    b = ttk.Button(win, text="Okay", command=win.destroy)
    b.grid(row=1, column=0)
    
def helloCallBack():
   print "Below is the output from the shell script in terminal"
   txt=sub.call('/Users/delerue/Downloads/touch.sh', shell=True)
   print txt
 #  sub.call('ls /Users/delerue/Downloads/', shell=True)

def lsCallBack():
    process = sub.Popen(['ls', '-a'], stdout=sub.PIPE)
    out, err = process.communicate()
    print(out)
    print(err)

def popup_showinfo():
    showinfo("Window", "Hello World!")

class Application(ttk.Frame):

    def __init__(self, master):
        ttk.Frame.__init__(self, master)
        self.pack()

        self.button_bonus = ttk.Button(self, text="Bonuses", command=popup_bonus)
        self.button_bonus.pack()

        self.button_showinfo = ttk.Button(self, text="Show Info", command=popup_showinfo)
        self.button_showinfo.pack()
        
        self.button_shell = ttk.Button(self, text="Touch ", command=lambda: sub.call('/Users/delerue/Downloads/touch.sh', shell=True))
        self.button_shell.pack()

        self.button_popshell = ttk.Button(self, text ="Pop Shell", command = helloCallBack)
        self.button_popshell.pack()

        self.button_lsshell = ttk.Button(self, text ="ls Shell", command = lsCallBack)
        self.button_lsshell.pack()


root = tk.Tk()

app = Application(root)

root.mainloop()